package com.ag.commonFace;

import com.ag.entity.fee.ItemProperties;
import com.ag.entity.fee.Tariff;
import com.ag.entity.fee.TariffRitem;

import java.util.List;
import java.util.Map;

/**
 * Created by yangxh on 2022/3/11.
 */
public interface ITariffExtService {

    void generateDescription(Tariff tariff, List<TariffRitem> ritems, List<ItemProperties> properties);

    Map<String, String> getSpecialOperChar(String tariffId);

    void synDescription(String contractId, String itemId, String tenancyId);
}
